Get Enrollment
GET
/api/v1/agency/enrollments/{token}
const url = 'https://api.ultimateteam.ai/api/v1/agency/enrollments/example';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.ultimateteam.ai/api/v1/agency/enrollments/example \ --header 'X-API-Key: <X-API-Key>'Inspect an enrollment link from the prospective client’s workspace.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”token
required
Token
string
Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
EnrollmentDetails
What the prospective client sees before consenting.
object
agency_name
required
Agency Name
string
brand_id
required
Brand Id
string format: uuid
brand_name
required
Brand Name
string
eligible
required
Eligible
boolean
expires_at
required
Expires At
string format: date-time
Examplegenerated
{ "agency_name": "example", "brand_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "brand_logo_url": "example", "brand_name": "example", "eligible": true, "email": "example", "expires_at": "2026-04-15T12:00:00Z", "ineligible_reason": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}